/******************************************************************************/
/* This software is Copyright (C) 1998 by Rafal Wierzbicki. I accept no       */
/* responsibility for anything this software may or may not do to your system */
/* - you use it completely at your own risk. This software comes under the GPL*/
/* licence. See the COPYING file for full legal details.                      */
/******************************************************************************/

#include <gtk/gtk.h>


void error_dialog (char *error_message)
{
   GtkWidget *err_window = NULL;
   GtkWidget *vbox1;
   GtkWidget *button;
   GtkWidget *label;
   
  if (!err_window)
    {
       err_window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
       gtk_window_set_title (GTK_WINDOW (err_window), "Error!");
       gtk_widget_realize (err_window);
       
       vbox1 = gtk_vbox_new (FALSE, 0);
       gtk_container_add (GTK_CONTAINER (err_window), vbox1);
       gtk_widget_show (vbox1);
       
       /* Ok button closes the error dialog window */       
    	label = gtk_label_new (error_message);
	gtk_misc_set_alignment (GTK_MISC(label), 0, 0.5);
        gtk_box_pack_start (GTK_BOX (vbox1), label, TRUE, TRUE, 0);	
        gtk_widget_show (label);
       
       button = gtk_button_new_with_label ("OK");
       gtk_signal_connect_object (GTK_OBJECT (button), "clicked",
				  GTK_SIGNAL_FUNC(gtk_widget_destroy),
				  GTK_OBJECT (err_window));
       gtk_box_pack_start (GTK_BOX (vbox1), button, TRUE, TRUE, 0);
       GTK_WIDGET_SET_FLAGS (button, GTK_CAN_DEFAULT);
       gtk_widget_grab_default (button);
       gtk_widget_show (button);
             
    }

  if (!GTK_WIDGET_VISIBLE (err_window))
    gtk_widget_show (err_window);
  else
    gtk_widget_destroy (err_window);
}
